
<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<div th:replace="fragments/header :: header"></div><!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h4>Editar repuesto</h4>
            <br> </br>
            <form class="form" id="repuesto-editar"> <!--Se muestra el formulario con los datos del repuesto previamente seleccionada-->
                <div class="form-group" style="width:49%; float:left;">
                    <label for="codigo">Codigo:</label>
                    <input id="codigo" name="codigo" type="text" value="" class="form-control input-md"
                           required="" readonly/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="nombre">Nombre:</label>
                    <input id="nombre" name="nombre" type="text" value="" class="form-control input-md"
                           title="Modifica nombre"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="precio">Precio:</label>
                    <input id="precio" name="precio" type="text" value="" class="form-control input-md"
                           title="Modifica precio"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="idAdmin">ID Admin:</label>
                    <input id="idAdmin" name="idAdmin" type="text" value="" class="form-control input-md"
                           title="Modifica apellido"/>
                </div>

                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Modificar</button>
            </form>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>

<!--Script que toma los datos originales de maquinaria y los muestra en el formulario-->
<script>
    var codigo = "[[${repuesto.getCodigo()}]]";
    var nombre = "[[${repuesto.getNombre()}]]";
    var precio = "[[${repuesto.getPrecio()}]]";
    var idAdmin = "[[${repuesto.getIdAdministrativo()}]]";
    document.getElementById("codigo").value = codigo;
    document.getElementById("nombre").value = nombre;
    document.getElementById("precio").value = precio;
    document.getElementById("idAdmin").value = idAdmin;
</script>

<script>
    $(document).ready(function () {
        <!--Si se presiona el botón enviar, se captan los datos de maquinaria que se encuentran en el formulario-->
        <!--Y posteriormente se envía al URL /maquinaria/actualizar-->
        $("#repuesto-editar").submit(function (e) {
            var datos = {
                idRepuesto:"[[${repuesto.getIdRepuesto()}]]",
                codigo: $("input[name=codigo]").val(),
                nombre: $("input[name=nombre]").val(),
                precio: $("input[name=precio]").val(),
                idAdministrativo: $("input[name=idAdmin]").val(),
                visible: true
            }

            $.ajax({
                type: "PUT",
                contentType: 'application/json',
                url: "http://localhost:8080/repuesto/actualizar",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjuntar los campos del formulario enviado.
            }).done(function (message) {
                location.href = "http://localhost:8080/repuestos";
            }).fail(function (e) {
                console.log("error " + e);
                //location.href = "http://localhost:8080/";
            });
            return false;
        });

    });
</script>

</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>